# Class Param

- Defined in router/params/param.js:88

#####
Index

### Constructors

constructor

### Properties

_defaultValueCache
array
config
dynamic
id
inherit
isOptional
location
raw
replace
squash
type

### Methods

isDefaultValue
isSearch
toString
validates
value
changed
equals
validates
values

##
Constructors

### constructor

- new Param(id, type, location, urlConfig, state): Param

- #### Parameters

  - id: any
  - type: any
  - location: any
  - urlConfig: any
  - state: any

  #### Returns Param

  - Defined in router/params/param.js:89

##
Properties

### _defaultValueCache

_defaultValueCache: {
defaultValue: any;
}

- Defined in router/params/param.js:159

### array

array: any

- Defined in router/params/param.js:128

### config

config: any

- Defined in router/params/param.js:129

### dynamic

dynamic: boolean

- Defined in router/params/param.js:123

### id

id: any

- Defined in router/params/param.js:122

### inherit

inherit: boolean

- Defined in router/params/param.js:127

### isOptional

isOptional: boolean

- Defined in router/params/param.js:119

### location

location: any

- Defined in router/params/param.js:121

### raw

raw: boolean

- Defined in router/params/param.js:124

### replace

replace: any

- Defined in router/params/param.js:126

### squash

squash: any

- Defined in router/params/param.js:125

### type

type: any

- Defined in router/params/param.js:120

##
Methods

### isDefaultValue

- isDefaultValue(value): any

- #### Parameters

  - value: any

  #### Returns any

  - Defined in router/params/param.js:132

### isSearch

- isSearch(): boolean

- #### Returns boolean

  - Defined in router/params/param.js:172

### toString

- toString(): string

- #### Returns string

  - Defined in router/params/param.js:185

### validates

- validates(value): boolean

- #### Parameters

  - value: any

  #### Returns boolean

  - Defined in router/params/param.js:175

### value

- value(value): any

- [Internal] Gets the decoded representation of a value if the value is defined, otherwise, returns the default value, which may be the result of an injectable function.

  #### Parameters

  - value: any

  #### Returns any

  - Defined in router/params/param.js:139

### `Static` changed

- changed(params, values1?, values2?): any

- Finds [[Param]] objects which have different param values

  Filters a list of [[Param]] objects to only those whose parameter values differ in two param value objects

  #### Parameters

  - params: any
  - values1: {} = {}
  - values2: {} = {}

  #### Returns any

  any Param objects whose values were different between values1 and values2

  - Defined in router/params/param.js:207

### `Static` equals

- equals(params, values1?, values2?): boolean

- Checks if two param value objects are equal (for a set of [[Param]] objects)

  #### Parameters

  - params: any

    The list of [[Param]] objects to check

  - values1: {} = {}

    The first set of param values

  - values2: {} = {}

    The second set of param values

  #### Returns boolean

  true if the param values in values1 and values2 are equal

  - Defined in router/params/param.js:221

### `Static` validates

- validates(params, values?): any

- Returns true if a the parameter values are valid, according to the Param definitions

  #### Parameters

  - params: any
  - values: {} = {}

  #### Returns any

  - Defined in router/params/param.js:225

### `Static` values

- values(params, values?): {}

- #### Parameters

  - params: any
  - values: {} = {}

  #### Returns {}

  - Defined in router/params/param.js:189